/* eslint-disable */
/**柯礼钦
 * 4/6/2020, 10:41:26 AM
 * doc comment for the file goes here
 */

/** 通知列表 */
import React, { ReactNode, ReactEventHandler, Component } from 'react';
import { Alert } from 'antd';
import fetch from '../../../api/request';

import './index.scss';

export default class NotifyList extends Component {
  constructor(props) {
    super(props);
    this.config = {
    };
    this.state = {
      content: ''
    };
  }

  componentWillMount() {
    fetch({
      url: `api/document/getNewNotice`
    }).then(res => {
      console.log('res', res);
      this.setState({
        content: res.documentTitle || ''
      })
    })
  }

  componentDidMount() { }

  onClick = () => {
    this.props.history.push({ pathname: "/index/workbench/announcement" });
  }

  renderDom = () => {
    let { content } = this.state;
    return <div className="notify-list-main-dom">
      <span className="notify-list-main-dom-msg">最新通知：{content}</span>
      <span className="notify-list-main-dom-fuc" onClick={this.onClick}>[查看全部]</span>
    </div>
  }

  render() {
    let { content } = this.state;

    return (
      <div className="notify-list-main">
        {
          content &&
          <Alert
            // message="Warning Text Warning Text Warning TextW arning Text Warning Text Warning TextWarning Text"
            message={this.renderDom()}
            type="warning"
            closable={false}
          />
        }
      </div>
    )
  }
}
//export default function NotifyList({  }) {
//    return (
//     <div className="notify-list-main">
//
//      </div>
//    )
//}
